org.jboss.jca.embedded.dsl.datasources11.api

## Interface DatasourcesDescriptor

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<DatasourcesDescriptor>

      public interface DatasourcesDescriptor
      extends org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<DatasourcesDescriptor>

  This deployment descriptor provides the functionalities as described in the specification

  Example:

  `DatasourcesDescriptor descriptor = Descriptors.create(DatasourcesDescriptor.class);`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatasourceType<DatasourcesDescriptor>` | `createDatasource()` Creates a new `datasource` element
    `XaDatasourceType<DatasourcesDescriptor>` | `createXaDatasource()` Creates a new `xa-datasource` element
    `java.util.List<DatasourceType<DatasourcesDescriptor>>` | `getAllDatasource()` Returns all `datasource` elements
    `java.util.List<XaDatasourceType<DatasourcesDescriptor>>` | `getAllXaDatasource()` Returns all `xa-datasource` elements
    `DatasourceType<DatasourcesDescriptor>` | `getOrCreateDatasource()` If not already created, a new `datasource` element will be created and returned.
    `DriversType<DatasourcesDescriptor>` | `getOrCreateDrivers()` If not already created, a new `drivers` element with the given value will be created.
    `XaDatasourceType<DatasourcesDescriptor>` | `getOrCreateXaDatasource()` If not already created, a new `xa-datasource` element will be created and returned.
    `DatasourcesDescriptor` | `removeAllDatasource()` Removes all `datasource` elements
    `DatasourcesDescriptor` | `removeAllXaDatasource()` Removes all `xa-datasource` elements
    `DatasourcesDescriptor` | `removeDrivers()` Removes the `drivers` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor

      `exportAsString, exportTo, getDescriptorName`

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace

      `addDefaultNamespaces, addNamespace, getNamespaces, removeAllNamespaces`

- - ### Method Detail

    - #### getOrCreateDatasource

          DatasourceType<DatasourcesDescriptor> getOrCreateDatasource()

      If not already created, a new `datasource` element will be created and returned. Otherwise, the first existing `datasource` element will be returned.
      Returns:
        the instance defined for the element `datasource`

    - #### createDatasource

          DatasourceType<DatasourcesDescriptor> createDatasource()

      Creates a new `datasource` element
      Returns:
        the new created instance of `DatasourceType`

    - #### getAllDatasource

          java.util.List<DatasourceType<DatasourcesDescriptor>> getAllDatasource()

      Returns all `datasource` elements
      Returns:
        list of `datasource`

    - #### removeAllDatasource

          DatasourcesDescriptor removeAllDatasource()

      Removes all `datasource` elements
      Returns:
        the current instance of `DatasourceType`

    - #### getOrCreateXaDatasource

          XaDatasourceType<DatasourcesDescriptor> getOrCreateXaDatasource()

      If not already created, a new `xa-datasource` element will be created and returned. Otherwise, the first existing `xa-datasource` element will be returned.
      Returns:
        the instance defined for the element `xa-datasource`

    - #### createXaDatasource

          XaDatasourceType<DatasourcesDescriptor> createXaDatasource()

      Creates a new `xa-datasource` element
      Returns:
        the new created instance of `XaDatasourceType`

    - #### getAllXaDatasource

          java.util.List<XaDatasourceType<DatasourcesDescriptor>> getAllXaDatasource()

      Returns all `xa-datasource` elements
      Returns:
        list of `xa-datasource`

    - #### removeAllXaDatasource

          DatasourcesDescriptor removeAllXaDatasource()

      Removes all `xa-datasource` elements
      Returns:
        the current instance of `XaDatasourceType`

    - #### getOrCreateDrivers

          DriversType<DatasourcesDescriptor> getOrCreateDrivers()

      If not already created, a new `drivers` element with the given value will be created. Otherwise, the existing `drivers` element will be returned.
      Returns:
        a new or existing instance of `DriversType`

    - #### removeDrivers

          DatasourcesDescriptor removeDrivers()

      Removes the `drivers` element
      Returns:
        the current instance of `DatasourcesDescriptor`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)